R(1)

NAME
R - a language for data analysis and graphics

SYNOPSIS
R [ -xxgdb ] [ -v size ] [ -n size ]
R [ -xxgdb ] [ -v size ] [ -n size ] < infile > outfile

DESCRIPTION
R is a language which bears a passing resemblance to the S language developed at AT&T Bell Laboratories. It provides support for a variety of statistical and graphical analyses. R is a true computer language which contains a number of control-flow constructions for iteration and alternation. It allows users to add additional functionality by defining new functions.

On platforms which support the dlopen(3) interface, Fortran and C code can be linked and called at run time.

On systems which have the GNU readline(3) library, R will maintain a command history, so that commands can be recalled, edited and re-executed.

OPTIONS
The -v option can be used to specify the size of the vector heap in megabytes (the default is 2). The -n option can be used to specify the number of cons cells (each occupying 16 bytes) which R is to use (the default is 200000). If possible these sizes should be set so that R does not use more than the amount of physical memory available on the machine where the program is executing. This will minimize paging and ensure that execution is as efficient as possible. The -xxgdb option will run R under the control of the xxgdb(1) debugger.

STARTUP PROCESSING
When R is invoked it searches for the files .Rprofile and ~/.Rprofile (in that order) and executes any statements in the first of these files to be found. Finally, if a user has defined a function called .First, it will be invoked. After these steps, an read-eval-print loop is run for user input.

FILES
.RData
    saved data sets.
.Rhistory
    saved command history.
.Rprofile
    current directory startup file.
~/.Rprofile
    home directory startup file.

SEE ALSO
S(1), Splus(1), readline(3).

BUGS
R is very close to S in both syntax and semantics, but is not identical. Whether this is a bug of feature is an open question.